%define name		viking
%define version		1.5
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Global positioning system (GPS) and mapping manager
URL:			http://viking.sourceforge.net
Group:			Geography
License:		GPLv2+

Source:			http://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.bz2

BuildRequires:		expat-devel curl-devel gpsd-devel
BuildRequires:		pkgconfig(libexif)
BuildRequires:		intltool imagemagick
BuildRequires:		pkgconfig(gio-2.0) >= 2.12
BuildRequires:		pkgconfig(glib-2.0) >= 2.12
BuildRequires:		pkgconfig(gthread-2.0) >= 2.2
BuildRequires:		pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:		gnome-doc-utils >= 0.3.2
BuildRequires:		magic-devel
BuildRequires:		curl-devel
Requires:		gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and way-points, show Terraserver maps under it, add coordinate
lines, make new tracks and way-points, hide different things, etc.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
perl -i -lp -e ' if (/^Categories/) { s{\bMaps\b}{X-Maps} ; s{;\s*$}{;Education;} ; }' $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING TODO NEWS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/gnome/help/viking/C/*
%{_datadir}/omf/viking/viking-C.omf
%{_datadir}/viking/*.xml



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.5-2.mga4
+ Revision: 523827
- Mageia 4 Mass Rebuild

  + oden <oden>
    - 1.5

* Sat May 25 2013 shlomif <shlomif> 1.4.1-2.mga4
+ Revision: 427558
- Fix the .desktop file
- New version 1.4.1

* Mon Jan 14 2013 umeabot <umeabot> 1.3.2.1-2.mga3
+ Revision: 385414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.3.2.1-1.mga3
+ Revision: 330190
- New version 1.3.2.1

* Wed Oct 03 2012 malo <malo> 1.3-3.mga3
+ Revision: 302515
- update RPM group

* Tue May 29 2012 shlomif <shlomif> 1.3-2.mga3
+ Revision: 248910
- libexif-devel is required for full functionality.
- New version: 1.3

* Mon Jan 02 2012 fwang <fwang> 1.2.2-1.mga2
+ Revision: 189657
- add fedora patch to build with latest gps
- new version 1.2.2
- cleanup spec

* Fri Sep 23 2011 shlomif <shlomif> 1.2.1-3.mga2
+ Revision: 147114
- Add more BuildRequires (thanks to barjac)
- Add a missing BuildRequire (thanks to barjac)
- imported package viking


* Wed Sep 21 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.2.1-1.mga2
- Patch to remove obsolete #include
- Invalid BuildRequire removed
- Duplicated files removed
- Tabs / spaces tidied
- Clean removed, defattr removed, buildroot removed

* Fri Jun 17 2011 Olivier Delaune <olivier.delaune@wanadoo.fr> 1.2.1-1.mga1
- Specfile adaptations for Mageia
